PO4A-TRANSLATE.1P(1)

NOMBRE
po4a-translate - Convierte un fichero PO al formato de la documentación

SINOPSIS
po4a-translate -f formato -m original.doc -p XX.po -l XX.doc

(XX.doc es la salida, todos los otros son entrada)

DESCRIPCIÓN
El objetivo del proyecto po4a («PO for anything», PO para todo) es facilitar la traducción (y más interesante, el mantenimiento de las traducciones) usando las herramientas de gettext en ámbitos dónde no previstos, como la documentación.

El script po4a-translate se encarga de convertir la traducción (que se hizo en un fichero PO) de vuelta al formato de la documentación. El fichero PO proporcionado debe ser la traducción del fichero POT que se produjo con po4a-gettextize(1).

OPCIONES

-f, --format
    El formato de la documentación que desea tratar. Use la opción --help-format para ver la lista de los formatos disponibles.

-a, --addendum
    Añade un fichero al fichero resultante (para poner el nombre del traductor o una sección «Acerca de esta traducción», por ejemplo). La primera línea del fichero a insertar debe ser la cabecera PO4A indicando dónde se debe insertar (consulte la sección Cómo añadir texto adicional a las traducciones en po4a(7)).

-A, --addendum-charset
    El juego de caracteres del apéndice. Todos los apéndices deben usar el mismo juego de caracteres.

-m, --master
    El fichero que contiene el documento original a traducir.

-M, --master-charset
    El juego de caracteres del fichero que contiene el documento a traducir.

-l, --localized
    El fichero donde se debe escribir el documento localizado (traducido).

-L, --localized-charset
    El juego de caracteres del fichero que contiene la versión localizada del documento.

-p, --po
    El fichero del que se debe leer el catálogo de mensajes.

-o, --option
    Opción(es) adicionales a introducir a la extensión del formato. Consulte la documentación de cada extensión para más información acerca de las opciones aceptadas y su significado. Por ejemplo, puede pasar '-o tablecells' al intérprete AsciiDoc, mientras que el intérprete de texto aceptaría '-o tabs=split'.

-k, --keep
    El umbral mínimo del porcentaje de traducción para preservar (es decir, escribir) el fichero resultante (predefinido: 80). Es decir, por omisión los ficheros deben estar traducidos como mínimo en un 80% para que se escriba el fichero resultante.

-w, --width
    La columna en la que se debe justificar el fichero resultante.

-h, --help
    Muestra un mensaje corto de ayuda.

--help-format
    Listado de formatos de documentación reconocidos por po4a.

-V, --version
    Muestra la versión del script y cierra.

-v, --verbose
    Aumenta la cantidad de mensajes informativos del programa.

-d, --debug
    Devuelve por la salida información de depuración de fallos.

--porefs type[,wrap|nowrap]
    Define el forma de referencia: El argumento type puede ser never para no generar ninguna referencia, file para solo especificar el fichero el número de línea, counter para sustituir el número de línea con un recuento ascendente, y full para incluir referencias completas (predefinido: full).

    El argumento puede preceder a una coma y a la palabra clave wrap o nowrap. Las referencias se escriben en una sola línea por omisión. La opción wrap justifica las referencias en varias líneas, para imitar a las herramientas gettext (xgettext y msgmerge). Esta opción será el comportamiento predefinido en el futuro, ya que es más inteligente. La opción nowrap está disponible para aquellos usuarios que deseen mantener el comportamiento antiguo.

--wrap-po no|newlines|number (por omisión: 76)
    Especifique cómo se debe ajustar el archivo po. Esto permite elegir entre archivos que están bien ajustados pero que podrían generar conflictos de git o archivos que son más fáciles de manejar automáticamente, pero más difíciles de leer para los humanos.

    Historically, the gettext suite has reformatted the po files at the 77th column for cosmetics. This option specifies the behavior of po4a. If set to a numerical value, po4a will wrap the po file after this column and after newlines in the content. If set to newlines, po4a will only split the msgid and msgstr after newlines in the content. If set to no, po4a will not wrap the po file at all. The wrapping of the reference comments is controlled by the --porefs option.

    Tenga en cuenta que esta opción no tiene ningún impacto en cómo se ajustan msgid y msgstr, es decir, en cómo se agregan nuevas líneas al contenido de estas cadenas.

Añadir contenido (aparte de las traducciones) a los ficheros generados
Para añadir algún contenido adicional al documento generado además de lo traducido (como el nombre del traductor, o una sección «Sobre ésta traducción»), debe usar la opción --addendum.

La primera línea de un apéndice («addendum») debe ser una cabecera indicando en qué parte del documento se debe insertar (puede ser antes o después de una parte del documento). El resto del fichero se insertará tal cual al fichero resultante sin ningún procesado adicional.

Tenga en cuenta que si po4a-translate no puede añadir uno de los ficheros dados, descarta la traducción entera (porque el fichero que falta puede ser el que contenía los datos del autor, lo que impediría a los usuarios contactar con él para informarle de errores en la traducción).

La cabecera tiene una sintaxis bastante rígida. Para más información sobre cómo usar esta característica y su funcionamiento, consulte la página de manual po4a(7).

VÉASE TAMBIÉN
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCCION
 Jordi Vilalta <jvprat@gmail.com>
 Omar Campagne <ocampagne@gmail.com>

DERECHO DE COPIA Y LICENCIA
Copyright 2002-2020 by SPI, inc.

Esto es software libre; puede redistribuirlo y/o modificarlo bajo las condiciones de la licencia GPL (consulte el fichero COPYING).